Ryzom - Bug # 785

Status: Closed Priority: Normal
Author: kervala Category: NeL: General
Created: 12/24/2009 Assignee: kervala
Updated: 10/02/2010 Due date:

Subiject: Not all types of PNG are supported

Description

PNG images with palette, grayscale images with alpha, etc... are not supported and can't be processed.

History

#1 - 12/24/2009 04:25 pm - kervala
- Status changed from New to Validated

#2 - 12/24/2009 04:25 pm - kervala
- Status changed from Validated to Assigned

- Assignee set to kervala

#3 - 12/24/2009 04:30 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r2151.

#4 - 12/25/2009 10:16 am - kervala
- Estimated time set to 20.00

| added support for paletted, gray, gray + alpha, RGB and RGBA PNG images for reading and gray (8 bits), gray + alpha (16 bits), RGB (24 bits) and

RGBA (32 bits) PNG images for writing with eventually a conversion between source and destination format (colors -> gray and gray -> colors).

You can specify the destination format using the 2nd parameter in writtPNG and choose the correct bit depth (8 = gray without alpha, 16 = gray +
alpha, 24 = RGB, 32 = RGBA).

#5 - 12/25/2009 10:17 am - kervala

- Target version set to 0.8.0

#6 - 03/05/2010 05:28 pm - sfb
- Status changed from Resolved to Closed

#7 - 09/29/2010 09:47 pm - kervala

- Project changed from NeL to Ryzom
- Category deleted (Misc)

- Target version deleted (0.8.0)

#8 - 10/02/2010 11:49 am - kervala
- Category set to NeL: General
- Target version set to Version 0.8.0
